Passer au contenu principal
GET
/
api
/
v1
/
transactions
List Transactions
curl --request GET \
  --url https://api.agentwallex.com/api/v1/transactions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "hash": "<string>",
      "agent_id": "<string>",
      "direction": "outbound",
      "type": "transfer",
      "from_address": "<string>",
      "to_address": "<string>",
      "amount": "<string>",
      "token": "<string>",
      "chain": "<string>",
      "fee": "<string>",
      "status": "pending",
      "memo": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}
Listez les transactions de votre compte ou filtrees par agent et statut.

Parametres de requete

page_num
integer
défaut:"1"
Numero de page (indexe a 1).
page_size
integer
défaut:"20"
Nombre d’elements par page. Maximum : 100.
agent_id
string
Filtrer par ID d’agent.
status
string
Filtrer par statut de transaction. Valeurs : pending, confirmed, failed.

Reponse

Exemple

curl -X GET "https://api.agentwallex.com/api/v1/transactions?agent_id=agent_abc123&status=confirmed&page_size=50" \
  -H "X-API-Key: awx_your_api_key"
Response
{
  "data": [
    {
      "id": "tx_xyz789",
      "hash": "0xabc123def456...",
      "agent_id": "agent_abc123",
      "direction": "outbound",
      "to_address": "0xabcd...ef12",
      "amount": "10.5",
      "token": "USDC",
      "chain": "eip155:84532",
      "status": "confirmed",
      "created_at": "2025-06-15T14:30:00Z"
    }
  ],
  "total": 25,
  "has_more": true
}

Autorisations

X-API-Key
string
header
requis

API key authentication. Keys are prefixed with awx_.

Paramètres de requête

page_num
integer
défaut:1

Page number (1-indexed).

Plage requise: x >= 1
page_size
integer
défaut:20

Number of items per page.

Plage requise: 1 <= x <= 100
agent_id
string

Filter by agent ID.

status
enum<string>

Filter by transaction status.

Options disponibles:
pending,
confirmed,
failed

Réponse

Paginated list of transactions.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.